Summary: Remote wall client & daemon
Name: rwall
Version: 0.10
Release: 1
Copyright: BSD
Group: Networking
Source: ftp://ftp.hcs.harvard.edu/pub/members/dholland/netkit/netkit-rwall-0.10.tar.gz
BuildRoot: /tmp/root-netkit-rwall
# compatibility
Provides: netkit-rwall
Obsoletes: netkit-rwall

%description
Basic network tools, fixed and ported from BSD code.
This version supersedes NetKit-0.09.
Contains: rwall rpc.rwalld

%prep
%setup -n netkit-rwall-0.10 
./configure

%build
make

%install
if [ "X$RPM_BUILD_ROOT" != "X" ]; then
  rm -rf $RPM_BUILD_ROOT
fi

mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin,man/man1,man/man8}
make install INSTALLROOT=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/*bin/* || :
rm $RPM_BUILD_ROOT/usr/man/man8/rwalld.8
echo ".so man8/rpc.rwalld.8" > $RPM_BUILD_ROOT/usr/man/man8/rwalld.8
gzip -9nf $RPM_BUILD_ROOT/usr/man/man?/*

%clean
if [ "X$RPM_BUILD_ROOT" != "X" ]; then
  rm -rf $RPM_BUILD_ROOT
fi

%files
/usr/bin/rwall
/usr/sbin/rpc.rwalld
/usr/man/man1/rwall.1.gz
/usr/man/man8/rpc.rwalld.8.gz
/usr/man/man8/rwalld.8.gz
